import { Logger } from './logger/Logger.js';
import { CompressionType, CompressOptions } from './interfaces.js';
/**
 * Compressing files.
 */
export declare class Compress {
    private readonly incremental;
    private readonly config;
    private readonly outputPath;
    private readonly target;
    private readonly service;
    readonly logger: Logger;
    readonly options: CompressOptions;
    readonly compressionInstances: CompressionType[];
    /**
     * Creates an instance of Compress.
     */
    constructor(target: string, outputPath?: string | null, options?: CompressOptions);
    /**
     * Start compressing files.
     */
    run(): Promise<string[]>;
    /**
     * Returns available files to compress.
     */
    private getFilesToCompress;
    /**
     * Create workers for parallel compression.
     */
    private createWorkers;
    /**
     * Run compress worker
     */
    private runCompressWorker;
    /**
     * Show message with compression params.
     */
    private compressionLog;
}
