import { FileConfig } from './interfaces.js';
export declare class Config {
    private readonly _configFile;
    private _configContent;
    get configContent(): Readonly<FileConfig>;
    set configContent(value: Readonly<FileConfig>);
    /**
     * Creates an instance of Config.
     */
    constructor();
    /**
     * Read config (.gzipperconfig).
     */
    readConfig(): Promise<void>;
    /**
     * set additional data for property to config file (.gzipperconfig).
     */
    setProperty<T extends keyof FileConfig, K extends FileConfig[T]>(field: T, content: K): void;
    /**
     * delete property from config file (.gzipperconfig).
     */
    deleteProperty<T extends keyof FileConfig>(field: T): void;
    /**
     * Init or update config (.gzipperconfig).
     */
    writeConfig(): Promise<void>;
}
