import zlib from 'node:zlib';
import { Compression } from './Compression.js';
import { BrotliOptions } from '../interfaces.js';
import { CompressionExtensions, CompressionNames } from '../enums.js';
/**
 * Brotli compression
 */
export declare class BrotliCompression extends Compression<BrotliOptions> {
    readonly compressionName = CompressionNames.BROTLI;
    readonly ext = CompressionExtensions.BROTLI;
    /**
     * Returns brotli compression instance in closure.
     */
    getCompression(): zlib.BrotliCompress;
    /**
     * Returns human-readable brotli compression options info.
     */
    readableOptions(): string;
    /**
     * Build brotli options object [compressionOptions].
     */
    protected selectCompression(): void;
    /**
     * Returns human-readable brotli option name.
     */
    protected getBrotliOptionName(index: string): string | undefined;
}
