import zlib from 'node:zlib';
import { Compression } from './Compression.js';
import { GenericCompressionOptions } from '../interfaces.js';
import { CompressionExtensions, CompressionNames } from '../enums.js';
/**
 * Deflate compression
 */
export declare class DeflateCompression extends Compression<GenericCompressionOptions> {
    readonly compressionName = CompressionNames.DEFLATE;
    readonly ext = CompressionExtensions.DEFLATE;
    /**
     * Returns deflate compression instance in closure.
     */
    getCompression(): zlib.Deflate;
    /**
     * Build deflate compression options object.
     */
    protected selectCompression(): void;
}
