import zlib from 'node:zlib';
import { Compression } from './Compression.js';
import { GenericCompressionOptions } from '../interfaces.js';
import { CompressionExtensions, CompressionNames } from '../enums.js';
/**
 * Gzip compression
 */
export declare class GzipCompression extends Compression<GenericCompressionOptions> {
    readonly compressionName = CompressionNames.GZIP;
    readonly ext = CompressionExtensions.GZIP;
    /**
     * Returns gzip compression instance in closure.
     */
    getCompression(): zlib.Gzip;
    /**
     * Build deflate compression options object.
     */
    protected selectCompression(): void;
}
