import { Compression } from './Compression.js';
import { ZopfliOptions } from '../interfaces.js';
import { CompressionExtensions, CompressionNames } from '../enums.js';
import { ZopfliStream } from './ZopfliStream.js';
/**
 * Zopfli compression
 */
export declare class ZopfliCompression extends Compression<ZopfliOptions> {
    readonly compressionName = CompressionNames.ZOPFLI;
    readonly ext = CompressionExtensions.GZIP;
    /**
     * Returns zopfli compression instance in closure.
     */
    getCompression(): ZopfliStream;
    /**
     * Build zopfli compression options object.
     */
    protected selectCompression(): void;
}
