import stream from 'node:stream';
import { Compression } from './Compression.js';
import { ZstdOptions } from '../interfaces.js';
import { CompressionExtensions, CompressionNames } from '../enums.js';
/**
 * Zstd compression
 */
export declare class ZstdCompression extends Compression<ZstdOptions> {
    readonly compressionName = CompressionNames.ZSTD;
    readonly ext = CompressionExtensions.ZSTD;
    /**
     * Returns zstd compression instance in closure.
     */
    getCompression(): Promise<stream.Transform>;
    /**
     * Build zstd compression options object.
     */
    protected selectCompression(): void;
}
