import { LogLevel } from './LogLevel.enum.js';
import { CompressOptions } from '../interfaces.js';
export declare class Logger {
    private verbose;
    private color;
    /**
     * Initialize the logger.
     */
    initialize(options: Pick<CompressOptions, 'verbose' | 'color'>): void;
    /**
     * Colorize messages depends on the level and return a wrapper.
     */
    private logger;
    /**
     * Log message.
     */
    log<T>(message: T, level?: LogLevel): void;
}
